在现代 Linux 下运行 ARM Memory Compiler

ARM 的 Mem Compiler 是 2009 年的古老产品,自带了一个 1.4 版本的 JRE,这个 JRE 依赖一些上古的库,在现代 Linux 下难以找到。本文介绍如何在现代 Linux 环境下运行 ARM Memory Compiler。

经过实验,发现将 JRE 替换为 1.8 即可。在 Debian 和 Ubuntu 的较新版本上,1.8 版本的 JRE 已不受支持,因此我们需要使用 adoptium.net 打包的 1.8 版本。安装好后,将 cln65gplus/sram_dp_hdc_svt_rvt_hvt/r0p1/lib/linux/jre 文件夹删除,并将新的 jre 链接至此,然后还需在 JRE 目录中添加一个 jre_tiling 目录,这个目录也链接到 jre 本身。链接好后,应该就可以正常使用了。

CC BY-SA 4.0 本作品使用基于以下许可授权:Creative Commons Attribution-ShareAlike 4.0 International License.